Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.instrumentation
Interface InstrumentationManager

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  InstrumentationManagerImpl

    public interface InstrumentationManager

extends Closeable

Managers of instrumentation providers must implement this interface. It provides methods for initializing multiple providers via configuration in addition to managing instrumentation providers and the state of the providers.

Method Summary
`Set<InstrumentationProvider>` | `getProviders()` Returns all providers managed by this manager.
`void` | `initialize(OpenJPAConfiguration conf, PluginListValue providers)` Used to initialize one or more providers using the supplied configuration.
`void` | `manageProvider(InstrumentationProvider provider)` Manage a given provider.
`void` | `start(InstrumentationLevel level, Object context)` Starts all instruments for all managed providers for a given level and context.
`void` | `stop(InstrumentationLevel broker, Object context)` Stops all instruments for all managed providers for a given level and context.

Methods inherited from interface org.apache.openjpa.lib.util.Closeable
`close`

Method Detail

### initialize

    void initialize(OpenJPAConfiguration conf,
                    PluginListValue providers)

  Used to initialize one or more providers using the supplied configuration.

  Parameters:
    `conf` - the configuration to use for initialization
    `providers` - one or more providers as supplied via plugin list value

### manageProvider

    void manageProvider(InstrumentationProvider provider)

  Manage a given provider. This will plug the instruments managed by the the provider into the life cycle of the manager

  Parameters:
    `provider` - the instrumentation provider

### start

    void start(InstrumentationLevel level,
               Object context)

  Starts all instruments for all managed providers for a given level and context.

  Parameters:
    `level` - instrumentation level
    `context` - instrumentation context (broker, factory, config,...)

### stop

    void stop(InstrumentationLevel broker,
              Object context)

  Stops all instruments for all managed providers for a given level and context.

  Parameters:
    `level` - instrumentation level
    `context` - instrumentation context (broker, factory, config,...)

### getProviders

    Set<InstrumentationProvider> getProviders()

  Returns all providers managed by this manager.

  Returns:
    all providers managed by this manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.